Index: autosar_os_training/trunk/program/sample/atk2-sc1.mtpj
===================================================================
--- autosar_os_training/trunk/program/sample/atk2-sc1.mtpj	(revision 124)
+++ autosar_os_training/trunk/program/sample/atk2-sc1.mtpj	(revision 132)
@@ -9,5 +9,5 @@
       <FileCategoryGuid>52e2f4b4-a345-449a-be63-a5cd8d8bcca1</FileCategoryGuid>
       <Property>fb98844b-2c27-4275-9804-f6e63e204da0</Property>
-      <ActiveProjectGuid>e70f4d86-2008-4041-8ba5-1d83960e5750</ActiveProjectGuid>
+      <ActiveProjectGuid>ad47342f-7f34-4598-b2f7-dcb65e67d119</ActiveProjectGuid>
     </Instance>
     <Instance Guid="bbf392be-9376-4aba-bf45-bd3546fe324a">
@@ -158,4 +158,10 @@
     <Instance Guid="c21e0010-0644-48ec-a5d2-2b06674b0390">
       <IsStructuredNaming>True</IsStructuredNaming>
+    </Instance>
+  </Class>
+  <Class Guid="873c9a58-9bc5-439a-b476-78629a4553ed">
+    <Instance Guid="873c9a58-9bc5-439a-b476-78629a4553ed">
+      <ProjectDeviceChangedCounter>0</ProjectDeviceChangedCounter>
+      <ProjectInitialDeviceName>R7F701025xAFP</ProjectInitialDeviceName>
     </Instance>
   </Class>
@@ -374,5 +380,5 @@
       <COptionI-0>.
 cfg
-..\..\atk2-sc1\
+..\..\atk2-sc1
 ..\..\atk2-sc1\arch
 ..\..\atk2-sc1\include
@@ -410,5 +416,5 @@
       <COptionXpreinclude-0 />
       <COptionXvolatile-0>False</COptionXvolatile-0>
-      <COptionD-0></COptionD-0>
+      <COptionD-0 />
       <COptionOinlineSize-0>100</COptionOinlineSize-0>
       <COptionXcheck-0>None</COptionXcheck-0>
@@ -464,5 +470,5 @@
       <COptionI-0>.
 cfg
-..\..\atk2-sc1\
+..\..\atk2-sc1
 ..\..\atk2-sc1\arch
 ..\..\atk2-sc1\include
@@ -484,5 +490,5 @@
       <COptionXprnPathValue-0>%BuildModeName%</COptionXprnPathValue-0>
       <AsmOptionOtherAdditionalOptions-0 />
-      <COptionD-0></COptionD-0>
+      <COptionD-0 />
       <COptionU-0 />
     </Instance>
@@ -1169,3 +1175,8 @@
     </Instance>
   </Class>
+  <Class Guid="2a2c2a43-ecdb-4e88-80bd-e75f3e33db90">
+    <Instance Guid="2a2c2a43-ecdb-4e88-80bd-e75f3e33db90">
+      <ProductVersion>5.01.00.00</ProductVersion>
+    </Instance>
+  </Class>
 </CubeSuiteProject>
Index: autosar_os_training/trunk/program/sample/cfg/cfg.mtsp
===================================================================
--- autosar_os_training/trunk/program/sample/cfg/cfg.mtsp	(revision 124)
+++ autosar_os_training/trunk/program/sample/cfg/cfg.mtsp	(revision 132)
@@ -65,4 +65,10 @@
     <Instance Guid="c21e0010-0644-48ec-a5d2-2b06674b0390">
       <IsStructuredNaming>True</IsStructuredNaming>
+    </Instance>
+  </Class>
+  <Class Guid="873c9a58-9bc5-439a-b476-78629a4553ed">
+    <Instance Guid="873c9a58-9bc5-439a-b476-78629a4553ed">
+      <ProjectDeviceChangedCounter>0</ProjectDeviceChangedCounter>
+      <ProjectInitialDeviceName>R7F701025xAFP</ProjectInitialDeviceName>
     </Instance>
   </Class>
@@ -264,5 +270,5 @@
       <COptionG-0>True</COptionG-0>
       <COptionI-0>..
-..\..\..\atk2-sc1\
+..\..\..\atk2-sc1
 ..\..\..\atk2-sc1\arch
 ..\..\..\atk2-sc1\include
@@ -300,5 +306,5 @@
       <COptionXpreinclude-0 />
       <COptionXvolatile-0>False</COptionXvolatile-0>
-      <COptionD-0></COptionD-0>
+      <COptionD-0 />
       <COptionOinlineSize-0>100</COptionOinlineSize-0>
       <COptionXcheck-0>None</COptionXcheck-0>
@@ -353,5 +359,5 @@
       <COptionG-0>True</COptionG-0>
       <COptionI-0>..
-..\..\..\atk2-sc1\
+..\..\..\atk2-sc1
 ..\..\..\atk2-sc1\arch
 ..\..\..\atk2-sc1\include
@@ -373,5 +379,5 @@
       <COptionXprnPathValue-0>%BuildModeName%</COptionXprnPathValue-0>
       <AsmOptionOtherAdditionalOptions-0 />
-      <COptionD-0></COptionD-0>
+      <COptionD-0 />
       <COptionU-0 />
     </Instance>
@@ -733,3 +739,8 @@
     </Instance>
   </Class>
+  <Class Guid="2a2c2a43-ecdb-4e88-80bd-e75f3e33db90">
+    <Instance Guid="2a2c2a43-ecdb-4e88-80bd-e75f3e33db90">
+      <ProductVersion>5.01.00.00</ProductVersion>
+    </Instance>
+  </Class>
 </CubeSuiteProject>
Index: autosar_os_training/trunk/program/sample/kernel/kernel.mtsp
===================================================================
--- autosar_os_training/trunk/program/sample/kernel/kernel.mtsp	(revision 124)
+++ autosar_os_training/trunk/program/sample/kernel/kernel.mtsp	(revision 132)
@@ -189,4 +189,10 @@
     <Instance Guid="c21e0010-0644-48ec-a5d2-2b06674b0390">
       <IsStructuredNaming>True</IsStructuredNaming>
+    </Instance>
+  </Class>
+  <Class Guid="873c9a58-9bc5-439a-b476-78629a4553ed">
+    <Instance Guid="873c9a58-9bc5-439a-b476-78629a4553ed">
+      <ProjectDeviceChangedCounter>0</ProjectDeviceChangedCounter>
+      <ProjectInitialDeviceName>R7F701025xAFP</ProjectInitialDeviceName>
     </Instance>
   </Class>
@@ -419,5 +425,5 @@
       <COptionI-0>..
 ..\cfg
-..\..\..\atk2-sc1\
+..\..\..\atk2-sc1
 ..\..\..\atk2-sc1\arch
 ..\..\..\atk2-sc1\include
@@ -511,5 +517,5 @@
       <COptionI-0>..
 ..\cfg
-..\..\..\atk2-sc1\
+..\..\..\atk2-sc1
 ..\..\..\atk2-sc1\arch
 ..\..\..\atk2-sc1\include
@@ -959,3 +965,8 @@
     </Instance>
   </Class>
+  <Class Guid="2a2c2a43-ecdb-4e88-80bd-e75f3e33db90">
+    <Instance Guid="2a2c2a43-ecdb-4e88-80bd-e75f3e33db90">
+      <ProductVersion>5.01.00.00</ProductVersion>
+    </Instance>
+  </Class>
 </CubeSuiteProject>