Index: /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/ConnectWiFi/ConnectWiFi.ino
===================================================================
--- /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/ConnectWiFi/ConnectWiFi.ino	(revision 140)
+++ /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/ConnectWiFi/ConnectWiFi.ino	(revision 141)
@@ -24,5 +24,5 @@
 #define PASSWORD    "12345678"
 
-ESP8266 wifi(Serial1);
+ESP8266 wifi;
 
 void setup(void)
@@ -34,5 +34,6 @@
     Serial.println(wifi.getVersion().c_str());
     
-    
+
+    wifi.begin(Serial5);
     if (wifi.setOprToStation()) {
         Serial.print("to station ok\r\n");
Index: /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/HTTPGET/HTTPGET.ino
===================================================================
--- /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/HTTPGET/HTTPGET.ino	(revision 140)
+++ /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/HTTPGET/HTTPGET.ino	(revision 141)
@@ -27,5 +27,5 @@
 #define HOST_PORT   (80)
 
-ESP8266 wifi(Serial1);
+ESP8266 wifi;
 
 void setup(void)
@@ -37,4 +37,6 @@
     Serial.println(wifi.getVersion().c_str());
 
+
+    wifi.begin(Serial5);
     if (wifi.setOprToStationSoftAP()) {
         Serial.print("to station + softap ok\r\n");
Index: /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPClientMultiple/TCPClientMultiple.ino
===================================================================
--- /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPClientMultiple/TCPClientMultiple.ino	(revision 140)
+++ /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPClientMultiple/TCPClientMultiple.ino	(revision 141)
@@ -26,5 +26,5 @@
 #define HOST_PORT   (8090)
 
-ESP8266 wifi(Serial1);
+ESP8266 wifi;
 
 void setup(void)
@@ -36,5 +36,6 @@
     Serial.println(wifi.getVersion().c_str());
     
-    
+
+    wifi.begin(Serial5);
     if (wifi.setOprToStationSoftAP()) {
         Serial.print("to station + softap ok\r\n");
Index: /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPClientSingle/TCPClientSingle.ino
===================================================================
--- /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPClientSingle/TCPClientSingle.ino	(revision 140)
+++ /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPClientSingle/TCPClientSingle.ino	(revision 141)
@@ -26,5 +26,5 @@
 #define HOST_PORT   (8090)
 
-ESP8266 wifi(Serial1);
+ESP8266 wifi;
 
 void setup(void)
@@ -36,4 +36,5 @@
     Serial.println(wifi.getVersion().c_str());
       
+    wifi.begin(Serial5);
     if (wifi.setOprToStationSoftAP()) {
         Serial.print("to station + softap ok\r\n");
Index: /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPClientSingleUNO/TCPClientSingleUNO.ino
===================================================================
--- /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPClientSingleUNO/TCPClientSingleUNO.ino	(revision 140)
+++ /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPClientSingleUNO/TCPClientSingleUNO.ino	(revision 141)
@@ -27,6 +27,5 @@
 #define HOST_PORT   (8090)
 
-SoftwareSerial mySerial(3, 2); /* RX:D3, TX:D2 */
-ESP8266 wifi(mySerial);
+ESP8266 wifi;
 
 void setup(void)
@@ -38,4 +37,5 @@
     Serial.println(wifi.getVersion().c_str());
       
+    wifi.begin(Serial5);
     if (wifi.setOprToStationSoftAP()) {
         Serial.print("to station + softap ok\r\n");
Index: /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPServer/TCPServer.ino
===================================================================
--- /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPServer/TCPServer.ino	(revision 140)
+++ /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPServer/TCPServer.ino	(revision 141)
@@ -25,5 +25,5 @@
 #define PASSWORD    "12345678"
 
-ESP8266 wifi(Serial1);
+ESP8266 wifi;
 
 void setup(void)
@@ -35,4 +35,5 @@
     Serial.println(wifi.getVersion().c_str());
       
+    wifi.begin(Serial5);
     if (wifi.setOprToStationSoftAP()) {
         Serial.print("to station + softap ok\r\n");
Index: /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/UDPClientMultiple/UDPClientMultiple.ino
===================================================================
--- /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/UDPClientMultiple/UDPClientMultiple.ino	(revision 140)
+++ /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/UDPClientMultiple/UDPClientMultiple.ino	(revision 141)
@@ -27,5 +27,5 @@
 #define HOST_PORT   (5416)
 
-ESP8266 wifi(Serial1);
+ESP8266 wifi;
  
 void setup(void)
@@ -36,5 +36,6 @@
     Serial.print("FW Version:");
     Serial.println(wifi.getVersion().c_str());
-      
+
+    wifi.begin(Serial5);
     if (wifi.setOprToStationSoftAP()) {
         Serial.print("to station + softap ok\r\n");
Index: /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/UDPClientSingle/UDPClientSingle.ino
===================================================================
--- /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/UDPClientSingle/UDPClientSingle.ino	(revision 140)
+++ /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/UDPClientSingle/UDPClientSingle.ino	(revision 141)
@@ -27,5 +27,5 @@
 #define HOST_PORT   (5416)
 
-ESP8266 wifi(Serial1);
+ESP8266 wifi;
  
 void setup(void)
@@ -37,4 +37,5 @@
     Serial.println(wifi.getVersion().c_str());
       
+    wifi.begin(Serial5);
     if (wifi.setOprToStationSoftAP()) {
         Serial.print("to station + softap ok\r\n");