Index: rtos_arduino/trunk/README.txt
===================================================================
--- rtos_arduino/trunk/README.txt	(revision 144)
+++ rtos_arduino/trunk/README.txt	(revision 145)
@@ -1,5 +1,5 @@
 =====================================================================
        TOPPERS RTE/RTOS compatible with Arduino libraries : RCA  
-                                   Last Modified:2015 Nov 25 00:32:02
+                                   Last Modified:2015 Dec 06 09:04:40
 =====================================================================
 
@@ -26,7 +26,7 @@
 ã»Arduino IDE 1.7.8
 ã»TOPPERS/ASPã«ã¼ãã« 1.9.2
- Atmel Studio 7.0 (build 594)
-
-âã¯ã¤ãã¯ã¹ã¿ã¼ã(ãããã¬ãªã)
+ã» Atmel Studio 7.0 (build 594)
+
+âã¯ã¤ãã¯ã¹ã¿ã¼ã(ãããã¬ãªã/GDBã«ãããããã°)
 
 Windowsç°å¢ã§ã®ãããã¬ãªãã®å®è¡æ¹æ³ã«ã¤ãã¦èª¬æããï¼
@@ -41,5 +41,5 @@
  ã»C:\Program Files (x86)\Arduino ã«ã¤ã³ã¹ãã¼ã«ããå ´åã¯å¿
 è¦ãªã
- ã»ã¤ã³ã¹ãã¼ã«ãã¦ãã©ã«ããä»¥ä¸ã®ãã¡ã¤ã«ã«è¨­å®ãã
+ ã»ã¤ã³ã¹ãã¼ã«ãããã©ã«ããä»¥ä¸ã®ãã¡ã¤ã«ã«è¨­å®ãã
    ã»example/do_path.bat
      SET ARDUINO_DIR=C:\Program Files (x86)\Arduino
@@ -52,5 +52,5 @@
 
 âå®è¡
- ã»ãã¼ãã®PROGRAMãã¼ãã¨USBãæ¥ç¶ããï¼
+ ã»ãã¼ãã®PROGRAMãã¼ãã¨PCã®USBãæ¥ç¶ããï¼
  ã»Arduino IDEãèµ·åãã
    ã»ãã¼ã« -> ãã¼ã -> COMx(Arduino M0 Pro (Programmmming Port)) ãé¸æï¼
@@ -69,7 +69,7 @@
  
  
-âã¯ã¤ãã¯ã¹ã¿ã¼ã(ãããã¬ãã)
-
-Windowsç°å¢ã§ã®ãããã¬ããã®å®è¡æ¹æ³ã«ã¤ãã¦èª¬æããï¼
+âã¯ã¤ãã¯ã¹ã¿ã¼ã(AtmelStudioä½¿ç¨)
+
+Windowsç°å¢ã§AtmelStudioãä½¿ç¨ããå®è¡æ¹æ³ã«ã¤ãã¦èª¬æããï¼
 
 âã¤ã³ã¹ãã¼ã«
@@ -105,5 +105,5 @@
 ã¿ã¹ã¯2,...(RCAã¿ã¹ã¯)ãç¨æãã¦ããï¼ã¡ã¤ã³ã¿ã¹ã¯ã¯å¿
 ãçæããï¼RCA
-ã¿ã¹ã¯ã¯ï¼å¹¾ã¤çæãããã¯ãã¯ã­ã§å®ç¾©å¯è½ã§ããï¼ç¾ç¶æå¤§æ°ã¯4åã§ããï¼
+ã¿ã¹ã¯ã¯ï¼å¹¾ã¤çæãããã¯ãã¯ã­ã§å®ç¾©å¯è½ã§ããï¼ç¾ç¶æå¤§æ°ã¯5åã§ããï¼
 
 ããããã®ã¿ã¹ã¯åã¯æ¬¡ã®éãã§ããï¼
@@ -114,4 +114,5 @@
  ã¿ã¹ã¯3      : RCA_TASK3
  ã¿ã¹ã¯4      : RCA_TASK4
+ ã¿ã¹ã¯5      : RCA_TASK5 
 
 
@@ -123,4 +124,5 @@
  ã¿ã¹ã¯3      : task3_setup/task3_loop
  ã¿ã¹ã¯4      : task4_setup/task4_loop 
+ ã¿ã¹ã¯5      : task5_setup/task5_loop  
  
 åsetup/loopã®æ¯ãèãã¯Arduinoã¨åç­ã§ããï¼
@@ -351,4 +353,13 @@
 http://ehbtj.com/electronics/arduino-m0-hacks
 
+âã©ã¤ãã©ãªå¯¾å¿
+
+\arduino_lib\hardware\arduino\samd\cores\arduino\RingBuffer.h
+
+ESP8266ã®éä¿¡ç¨ã«ãªã³ã°ãããã¡ãµã¤ãºãå¤§ããããï¼
+
+#define SERIAL_BUFFER_SIZE 256
+
+
 âæ¬ããã±ã¼ã¸ã®åç§°
 
Index: rtos_arduino/trunk/arduino_lib/hardware/arduino/samd/cores/arduino/RingBuffer.h
===================================================================
--- rtos_arduino/trunk/arduino_lib/hardware/arduino/samd/cores/arduino/RingBuffer.h	(revision 144)
+++ rtos_arduino/trunk/arduino_lib/hardware/arduino/samd/cores/arduino/RingBuffer.h	(revision 145)
@@ -26,5 +26,5 @@
 // to which to write the next incoming character and tail is the index of the
 // location from which to read.
-#define SERIAL_BUFFER_SIZE 64
+#define SERIAL_BUFFER_SIZE 256
 
 class RingBuffer